LibreOffice: XSheetAnnotations Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Public Member Functions | List of all members
XSheetAnnotations Interface Referencepublished

provides methods to access cell annotations via index and to insert and remove annotations. More...

`import"XSheetAnnotations.idl";`

Inheritance diagram for XSheetAnnotations:

## Public Member Functions
void | insertNew ([in] com::sun::star::table::CellAddress aPosition, [in] string aText)
| creates a new annotation. More...
void | removeByIndex ([in] long nIndex)
| removes a cell annotation from the collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access cell annotations via index and to insert and remove annotations.

See also
  com::sun::star::sheet::CellAnnotation
  com::sun::star::sheet::SheetCell

## Member Function Documentation

## ◆ insertNew()

void insertNew | ( | [in] com::sun::star::table::CellAddress | aPosition,
|  | [in] string | aText
| ) |  |

creates a new annotation.

This method creates a new annotation object, attaches it to the specified cell and inserts it into the collection.

Parameters

  aPosition | contains the address of the cell that will contain the annotation.
  aText | contains the annotation text.

## ◆ removeByIndex()

void removeByIndex | ( | [in] long | nIndex | ) |

removes a cell annotation from the collection.

This method removes the annotation from its cell and from the collection.

Parameters

  nIndex | is the index of the annotation in the collection.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetAnnotations.idl